<mat-toolbar color="accent">
  <mat-toolbar-row>
    <span class="heading">Positions</span>
    <div class="menu-button-container">
      <mat-menu #appMenu="matMenu">
        <button mat-flat-button color="basic" aria-label="Add new" (click)="update()">
          <mat-icon>add</mat-icon>
          Add
        </button>
      </mat-menu>
      <button mat-icon-button [matMenuTriggerFor]="appMenu">
        <mat-icon>more_vert</mat-icon>
      </button>
    </div>
  </mat-toolbar-row>
</mat-toolbar>

<mat-table [dataSource]="positions" class="mat-elevation-z8">

  <ng-container matColumnDef="id">
    <mat-header-cell *matHeaderCellDef> ID</mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.id}} </mat-cell>
  </ng-container>

  <ng-container matColumnDef="title">
    <mat-header-cell *matHeaderCellDef> Title</mat-header-cell>
    <mat-cell *matCellDef="let element">
      <a mat-button color="primary" routerLink="/employees" routerLinkActive="active" [queryParams]="{position: element.id}">{{element.title}}</a>
    </mat-cell>
  </ng-container>

  <ng-container matColumnDef="action">
    <mat-header-cell *matHeaderCellDef> Actions

    </mat-header-cell>


    <mat-cell *matCellDef="let element">
      <button mat-mini-fab color="warn" aria-label="Delete">
        <mat-icon (click)="confirmDelete(element)">delete</mat-icon>
      </button>
      <button mat-mini-fab color="accent" aria-label="Edit">
        <mat-icon (click)="update(element)">build</mat-icon>
      </button>
    </mat-cell>
  </ng-container>

  <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
  <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
</mat-table>

